#ifndef __POST_QUEUE_H
#define __POST_QUEUE_H

// Max Q number
#define MAX_Q_NUMBER    10


/////////////////////////////////////
// @class CameraHal()
// @desc  This class is for post process

class PostQueue {
private:
    int front;
    int rear;
    PostProcContext *m_PostCtxt[MAX_Q_NUMBER+1];



public:
    PostQueue();
    bool IsEmpty(void);
    bool IsFull(void);
    bool Enqueue(PostProcContext *pCtxt);
    PostProcContext* Front(void);
    void Dequeue(void);
};

#endif  //__POST_QUEUE_H
